Skip to main content
GET
Get a change set

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

changeSetId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$

Response

Success

schemaVersion
enum<string>
required
Available options:
agent-change-set.v1
id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
draftId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000)$
baseVersion
integer
required
Required range: x >= 1
proposedSpec
object | null
required
proposedBindings
object | null
required
validation
object
required
proposedFieldChanges
object[]
required
Maximum array length: 20
proposedBy
object
required
applicationState
enum<string>
required
Available options:
proposed,
applied,
rejected
createdAt
string
required
Required string length: 1 - 64
appliedAt
string | null
required
Required string length: 1 - 64